# Search API

`GET` `https://secctrl.tutelar.io/api/v1/data_repository/check/:field`

## Path Parameters

| Name     | Type   | Description                                                                                                                                     |
| -------- | ------ | ----------------------------------------------------------------------------------------------------------------------------------------------- |
| `field*` | String | <p>Enter field key based on module.<br><br>ex: <code>cd\_aadhaar\_number</code><br><strong>Note:</strong> Check available field list below.</p> |

## Query Parameters

| Name     | Type   | Description       |
| -------- | ------ | ----------------- |
| `value*` | String | Your Search Value |

200: OK

```json
{
    "success": true,
    "status_code": 200,
    "message": "Value successfully checked in data repository.",
    "data": {
        "reference_id": "3bf7184e-bdd9-4bd4-9bfd-c0e37afa8f5a",
        "result": {
            "available_status": "SUCCESS",
            "aadhaar_number": "765665676675",
            "data_category": "black",
            "file_name": "",
            "description": "",
            "tag": "Frequent COD return",
            "added_reason": "Card Skimming",
            "source": "",
            "age": 0,
            "added_at": "2023-08-22T09:41:31.230Z"
        },
        "requested_at": "2023-09-20T13:36:35.974Z",
        "completed_at": "2023-09-20T13:36:36.004Z"
    }
}
```

## Sample Query Parameter

| Query   | Type   | Mandatory | Description  |
| ------- | ------ | --------- | ------------ |
| `value` | String | Yes       | Search value |

## Sample Response

```json
{
    "success": true,
    "code": 200,
    "message": "Value successfully checked in data repository.",
    "data": {
        "reference_id": "3bf7184e-bdd9-4bd4-9bfd-c0e37afa8f5a",
        "result": {
            "available_status": "SUCCESS",
            "aadhaar_number": "765665676675",
            "data_category": "black",
            "file_name": "",
            "description": "",
            "tag": "Frequent COD return",
            "added_reason": "Card Skimming",
            "source": "",
            "age": 0,
            "added_at": "2023-08-22T09:41:31.230Z"
        },
        "requested_at": "2023-09-20T13:36:35.974Z",
        "completed_at": "2023-09-20T13:36:36.004Z"
    }
}
```

## Fields Id List

### Financial Data

1. `cd_account_holder_name`
2. `cd_account_number`

### Company Data

1. `cd_aadhaar_number`
2. `cd_address`
3. `cd_authorized_signatory`
4. `cd_business_pan`
5. `cd_company_name`
6. `cd_registration_number`
7. `cd_email_address`
8. `cd_gst_or_tax_number`
9. `cd_mobile_number`
10. `cd_trade_name`
11. `cd_website_url`

### Individual Data

1. `id_address`
2. `id_card_hash`
3. `id_customer_name`
4. `id_device_id`
5. `id_email_address`
6. `id_ip_address`
7. `id_mobile_number`
8. `id_postal_code`
9. `id_bin`
10. `id_email_domain`

## Country.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.v2.tutelar.io/data-repository/search-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
